trellis.device {lattice} | R Documentation

## Initializing Trellis Displays

### Description

`trellis.device` initializes a Trellis display device with appropriate settings of the graphics control parameter `trellis.settings`.

### Usage

    trellis.device(device = getOption("device"),
                   color = !(dev.name == "postscript"),
                   theme = getOption("lattice.theme"),
                   bg = NULL,
                   new = TRUE,
                   retain = FALSE,
                   ...)
    canonical.theme(name, color)

### Arguments

`device` | name of a function (possibly as a character string) that initializes a device. Admissible values include "x11", "windows", "mac", "postscript", "pdf", "png", etc.
`color` | logical, whether the display should be color or black and white. `FALSE` for postscript devices, `TRUE` otherwise.
`theme` | list of components that change the settings of the device opened, or, a function that when called produces such a list. The function name can be supplied as a quoted string. A possible use of this argument is to change the default settings at session startup, for example by setting `options(lattice.theme = "col.whitebg")`. If `theme` is a function, it will not be supplied any arguments, however, it is guaranteed that a device will already be open when it is called, so one may use `.Device` inside the function to ascertain what device has been opened.
`bg` | background color for the device.
`new` | logical flag indicating whether a new device should be started. If `FALSE`, the options for the current device are changed to the defaults determined by the other arguments.
`retain` | logical. If `TRUE` and a setting for this device already exists, then that is used instead of the defaults for this device. By default, pre-existing settings are overwritten (and lost).
`name` | name of the device for which the setting is required, as returned by `.Device`
`...` | additional parameters to be passed to the `device` function, most commonly `file` for non-screen devices.

### Details

`trellis.device` calls the `device` function to start a display, and sets an appropriate component of the variable `lattice.theme` (in an unexported environment named `.LatticeEnv`) to appropriate (device-specific) values.

The device specific settings are determined by `canonical.theme` which returns a list (see below).

The settings can subsequently be handled by the interface functions `trellis.par.get`, `trellis.par.set` and `lset`

### Value

`canonical.theme` returns a list of components defining graphical parameter settings for Lattice displays. It is used internally in `trellis.device`, and can also be used as an argument to `lset`, or even as `theme` in `trellis.device` to use the defaults for another device.

### Author(s)

Deepayan Sarkar deepayan@stat.wisc.edu

### See Also

`trellis.par.set`, `lset`, `postscript`,`x11`, `Lattice`

[Package Contents]